본문 바로가기

Fabric Error with cryptography version Fabric 실행했을 때 잘 모르겠는 에러가 나면서 cryptography 어쩌고 하면 버전을 체크해보시면 좋겠습니다. 저같은 경우에는 cryptography 버전이 2.4.2 가 아니면 에러가 나더라고요. 그래서 아래와 같은 명령어로 cryptography 를 다시 설치했습니다. pip install cryptography==2.4.2 pip 설치할 때 패키지명 뒤에 == 를 붙이고 버전을 써주면 해당 버전을 설치해줍니다. cryptography 버전을 체크하는 방법은 pip freeze를 사용하시면 되는데 pip freeze | grep cryptography 하시면 cryptography 버전만 확인이 가능하죠. 아무튼 Fabric 에러나는데 잘 모르겠다. 하시면 cryptography 버전 확인해.. 더보기
Nginx install in EC2 Amazon Linux AWS EC2 - Amazon Linux에서 Nginx를 비롯한 많이 사용되는 패키지를 인스톨하려면 아래와 같은 명령어로 가능합니다. amazon-linux-extras list sudo amazon-linux-extras install nginx1.12 amazon-linux-extras list 를 입력해보시면 여러 패키지들이 나와요. 그 중에 nginx가 있는 것이고요. sudo amazon-linux-extras install nginx1.12 명령어를 통해서 설치가 가능합니다. 버전은 변경될 수 있으니까 list 명령어로 나오는 패키지를 그대로 복사해서 사용하시면 되요. 처음에는 yum에 nginx가 검색이 안되서, 다른 방법으로 설치하려고 막 알아보고 그랬는데 amazon-linux에서는 am.. 더보기
(python3, pip3) install in mac & virtualenv python3 1. python3 install in mac 맥에서 python3가 기본적으로 설치되어 있다면 명령어 python3 를 실행 했을 때 아래와 같이 나옵니다. 만약에 없다면 brew install python3 로 설치합니다. 설치 후 다시 python3 를 실행해서 위와 같이 나오면 OK. 2. pip3 install in mac 명령어 pip3 실행했을 때 에러나거나 not found 되면 없는 것입니다. 혹은 경로 설정이 잘 안되어 있던가요. 일단 설치는 아래 명령어로 할 수 있습니다. 다운로드 : curl -O https://bootstrap.pypa.io/get-pip.py설치 : python3 get-pip.py실행 : python3 -m pip 저는 경로 설정이나 셋팅이 잘 안되어 있는 경우.. 더보기
pip psycopg2 install error in mac 사진으로 문제점에 대한 설명을 대신합니다. 구글링 해보니까 2.6.2 버전의 문제라고 하더라고요.그래서 최신 버전으로 설정하고 pip install 하니 이상없이 설치되었습니다. 이전에는 잘 설치했는데 pip freeze로 생성한 파일로 설치하니 문제가 발생했어요.아마도 제가 중간에 postgres 버전을 올렸던지. 그랬나봐요. 꼭 2.6.2 버전을 사용해야 하는 것도 아니라서 이번 기회에 버전 업하고 문제 해결했어요. 기록 끝 ! 더보기
mac - postgresql & postgis install and setting 일단 분류가 좀 이상하지만 나중에 찾을 때 제가 여기를 확인할 것 같아서.. 1. PostgreSQL & PostGIS 설치는 brew로 간단하게 가능 - brew 설치는 아래 참고 linux에서 brew 설치 (http://brew.sh/linuxbrew/) apt-get install -y build-essential curl git m4 ruby texinfo libbz2-dev libcurl4-openssl-dev libexpat-dev libncurses-dev zlib1g-dev # ---> root 이외의 사용자에서 실행해야 합니다.ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/linuxbrew/go/install)" 스크.. 더보기
xcrun error: invalid active developer path 아래와 같은 에러 메시지가 나왔나요?? ERROR: xcrun: error: invalid active developer path terminal을 열고 xcode-select --install 을 입력해서 설치하세요 !! 설치가 끝나면 에러가 나왔던 명령어를 다시 실행해보세요 :) 저는 바로 해결되었습니다. !! 더보기
Html parsing - beautifulsoup4 (install) 살다보면 하기 싫은 Html parsing도 해야 하는 날이 있는거죠 :) 아주 예전에 beautifulsoup을 통해서 Html parsing을 했던 적이 있습니다. 오늘 다시 설치하려고 찾아보니 버전 4가 나왔더라구요. 그리고 이전 보다는 수월하게 Parsing이 가능해진 것 같습니다. 암튼 Python 으로 Html Parsing을 처리해야 하는 분들은 4 버전으로 하는게 좋을 것 같아요 !!! pip 로 검색해보면 아래와 같습니다. pip install beautifulsoup4 위 명령어로 설치하실 수 있습니다. 뒤에 꼭 4를 붙여서 설치하세요 !! 안그럼 3버전이 설치되니깐요!! 아래 사이트에 들어가면 좋은 예제 및 설명이 되어있어요!! 참고하시길 !! https://www.crummy.com.. 더보기
mac에 octave 설치 octave를 mac에 설치하는 과정이에요.octave binary는 source forge에서 받을 수 있더라구요. Octave-Forge : https://sourceforge.net/projects/octave/ dmg 파일을 다운 받아 실행하면 아래 그림과 같이 나옵니다. Octave-3.8.0-6.mpkg를 더블 클릭해서 적당히 Next 눌러주면 설치할 수 있습니다. 설치가 완료되면 Launchpad에 Octave-cli가 생성되고 이것을 클릭하면 Octave를 활용할 수 있죠 :) 더보기
psycopg2 pip 설치 에러 해결 정말 오랜만에 포스팅 !! 그동안 몇 가지 작업을 하면서 쌓인 내용을 정리해야 하는데 시간이 없네요.간단하게만 정리 :) psycopg2를 설치시에 pip를 활용하는 경우가 많은데 이게 에러가 날 때가 있어요. 에러 내용을 찍어두진 못했네요. ㅠㅠ 아래와 같은 방법으로 해결합니다. 먼저 PostgreSQL의 bin 폴더를 찾아서 PATH에 추가합니다. (export PATH=$PATH:/Library/PostgreSQL/9.5/bin) 다음 pip를 통해 psycopg2를 설치하면 됩니다. (pip install psycopg2) 더보기
pycharm 5.0.3 - (1) download, run, virtualenv pycharm 5가 나와서 설치해보고 실행해봤습니다. 다운로드는 https://www.jetbrains.com/pycharm/ django 개발 환경은 professional 버전에서부터 가능한거 같아요. edition 별 기능 비교는 https://www.jetbrains.com/pycharm/features/editions_comparison_matrix.html 점점 django를 기반으로 서비스를 잘 개발해보고 싶은 마음이 커지고 있기 때문에 pycharm을 통해서 django를 편하게 활용할 수 있는지 알아보고 싶었습니다. 여러 블로그나 소개 글들을 통해서 pycharm 좋다는 소리를 듣고 저도 4 버전을 잠깐 사용해봤지만 제가 잘 몰라서 제대로된 기능을 활용하기는 어려웠나봅니다. 5 버전은 재.. 더보기
QGIS Installation in Ubuntu 12.04 Server QGIS를 우분투 12.04 서버에 설치하는 방법을 간단하게 작성합니다. 설치하는 방법은 아래 URL에 자세히 나와 있긴합니다만. https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu 새롭게 작성해두는 이유는 찾기 편하려고 + 실행했을 때 화면을 추가해서 확인하면서 넘어가보려고 입니다. 1. 먼저 wget을 통해서 key를 다운받고 등록하는 과정을 거치네요. command : wget -O - http://qgis.org/downloads/qgis-2015.gpg.key | gpg --import command : apt-key adv --keyserver keyserver.ubuntu.com --recv-key 3FF5FFCAD71.. 더보기
topojson Install in ubuntu (brew -> nodejs -> topojson) GeoJSON을 TopoJSON으로 변경하기 위해서는 topojson 이라는 툴이 필요합니다. topojson을 설치하는 방법은 한가지만 있는 것은 아닙니다. 이번 포스팅에서는 ubuntu 환경에서 topojson을 설치하는 하나의 예시를 정리해둡니다. 1. brew 설치 (http://brew.sh/linuxbrew/) apt-get install -y build-essential curl git m4 ruby texinfo libbz2-dev libcurl4-openssl-dev libexpat-dev libncurses-dev zlib1g-dev # ---> root 이외의 사용자에서 실행해야 합니다. ruby -e "$(curl -fsSL https://raw.githubusercontent.co.. 더보기
(zsh + oh my zsh + z) install 제목과 같이 zsh + oh my zsh + z 를 설치하고 기본 셋팅하는 과정을 빠르게 여러 대의 컴퓨터에서 수행하고 싶었습니다. 그래서 아래와 같은 install script를 간단하게 작성했네요. 파일은 총 2개 입니다. 순서는 zshInstall.sh 을 수행하고, zshConfigure.sh은 로그아웃 -> 로그인 후 수행하면 됩니다. zshInstall.sh은 다음과 같습니다. 맨 마지막 줄에서 chsh 명령어 때문에 사용자가 입력해야 하는 부분이 나오는데 /usr/bin/zsh 로 입력하시면 됩니다. root 권한에서 수행하세요~. sudo로 만들 것을 그랬네요. 혹시 일반 user에서 수행하실 분들은 apt-get 명령어 앞에 sudo 라고 붙여주시고 수행하세요. 로그아웃 후 다시 로그인하.. 더보기
ggplot2 - 설치 (R studio) + 그래프 하나 그려보기 ggplot2는 R에서 참 이쁘게 그래프를 잘 그려주는 좋은 패키지입니다. 고급 사용자를 위한 포스팅이 아니라, 처음 접근하시는 분들(저같은)을 위해서 몇 가지 포스팅으로 정리해보려고 합니다. 테스트 환경 - R Studio server : 0.98 - R base : 3.2.0-4 - ggplot2 : 1.0.1 포스팅 관련 URL - R Studio server : http://www.rstudio.com/ - R : http://cran.r-project.org/ - ggplot2 : http://ggplot2.org/ 1. 설치하기 R studio에 접속하면 오른쪽 하단에 패키지를 설치할 수 있는 UI가 있습니다. Install Packages 버튼을 클릭하면 아래와 같은 창이 하나 떠요. 여기서.. 더보기
apt-get upgrade 수행 시 특정 패키지만 설치하기 apt-get 기능과 관련된 몇 가지 포스팅을 한 적이 있습니다. apt-get upgrade 수행 시 특정 패키지만 빼고 설치하기 : http://ngee.tistory.com/717 apt-get upgrade 수행 시 특정 패키지만 설치하기 : http://ngee.tistory.com/716 apt-get upgrade 수행 전에 리스트 확인하기 : http://ngee.tistory.com/693 우분투 apt-get, apt-cache 사용하기 : http://ngee.tistory.com/128 apt-get install fail - local settings : http://ngee.tistory.com/553 이번에는 apt-get upgrade 시에 어떤 패키지만 선택적으로 설치하는 .. 더보기
JMeter Plugin Installation (플러그인 설치) JMeter 플러그인을 설치하는 방법에 대해서 간단하게 그림 몇 개와 같이 정리해둡니다아 :) 1. JMeter가 설치된 폴더 찾기 - 음 설치하는 방법은 다음에 하구요. 이번에는 Plugin을 설치하이 위해서 JMeter가 어디에 설치되었는지 확인하시면 됩니다. 이건 설치하는 사람마다 다를 수 있구요. 저는 /opt/jmeter/apache-jmeter-2.12 에 설치해두었습니다. 혹시 까먹으신 분들은 jmeter-server 같은 것을 find로 검색해보세요. 아마도 나오지 않을까요?? find / -name jmeter-server 2. 플러그인 다운로드 받기 - 플러그인 중에서 가장 많이 사용되는 것으로 보이는 Standard 플러그인은 다음 주소에서 다운로드 하실 수 있습니다. Download.. 더보기